$(function () {

    $('#frmNuevo').form({
    	keyboardShortcuts: false,
    	fields: {
	      	motivo: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
    	},
    	inline : true,

    });

    $('.btn_registrar').on('click', function() {
		if ($('#frmNuevo').form('is valid')) {
			$('#register_modal').modal({
  				closable: false,
		    	onApprove : function() {
		    		sendForm();
			    }
	  		}).modal('show'); 
		} else {
			$('#frmNuevo').form('validate form');
		}
  	});

	function sendForm() {

        var data = $('#frmNuevo').serialize();

        $.requestApi('/baja/registrar', data, 'POST', function (resolve) {
	        if (resolve) {
	            $.showMessages(resolve, true, APP_URL+'/baja/detalles/'+resolve.id_baja);
	        }
	    });

	    console.log(data);
        
        return false;
	};

});
